=== debian/changelog ===
bind (8.1.2-0.bo1) bo-unstable; urgency=high

  * security fix for bo

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Fri, 10 Apr 1998 18:09:24 +0200

bind (1:8.1.2-1) frozen unstable; urgency=high

  * New upstream version T3B: "fix a stack overrun that could occur if
    inverse query support was enabled, and a number of denial of service
    attacks where malformed packets could cause the server to crash."
  * The ndc command now gets no complaints from the new "ps" (#20299).
  * No longer includes pages duplicated in manpages-*-dev (#18095).
  * Now includes /etc/ppp up/down support contributed by "aph" (#19118,
    #19132).
  * Updated to Standards-Version 2.4.0.0 (additional init.d commands).
  * Closes #15687, as invocation of sed in bindconfig is fixed.
  * Added SHELL=/bin/bash to rules file.
  * Lintian clean.

 -- Johnie Ingram <johnie@debian.org>  Wed,  8 Apr 1998 22:45:41 -0400

bind (1:8.1.1-8) unstable; urgency=low

  * Added rblcheck to the dnsutils package, which allows the Realtime
    Blackhole List to be used for spam control in procmail rules.
  * Closed #15687 (sed bug, cf. 13913, 14146, 14889).

 -- Johnie Ingram <johnie@debian.org>  Tue, 20 Jan 1998 23:23:05 -0500

bind (1:8.1.1-7) unstable; urgency=low, closes=15325 15744 15991 16396

  * Updated named.root file from InterNIC (#15744).
  * Install script is now compatible with kernel flavors (#16396).
  * Closed Bugs #15991 and #15325.

 -- Johnie Ingram <johnie@debian.org>  Thu,  1 Jan 1998 00:25:47 -0500

bind (1:8.1.1-6) unstable; urgency=low, closes=15325 15991

  * Corrected package md5sum error (#15991).
  * Closed #15325 (binaries not stripped).

 -- Johnie Ingram <johnie@debian.org>  Wed, 17 Dec 1997 23:28:55 -0500

bind (1:8.1.1-5) unstable; urgency=low, closes=13913 14146 14889 14562 14893 15169

  * Fixed sed coredump problem in bindconfig (#13913, #14146, #14889).
  * Stripped binaries in dnsutils package (#14562, #14893).
  * Applied bashconfig posixification patch from Herbert Xu (#15169).

 -- Johnie Ingram <johnie@debian.org>  Sat,  6 Dec 1997 21:33:04 -0500

bind (1:8.1.1-4) unstable; urgency=low

  * Now builds named.boot before named.conf, a problem which caused it to
    fail on new installations.
  * Now more verbose when /etc/named.boot file to /var/named; resulting
    file is no longer hidden (5726).
  * Restored changelog.Debian.gz file in bind package.
  * Packaging redone to use pristine source tar archive, and tweaked for
    multiple architecture support.
  * Closed #12462, lack of /etc/init.d/bind, fixed in 8.1.1-3.
  * Updated to Standards-Version 2.3.0.0.

 -- Johnie Ingram <johnie@debian.org>  Tue,  9 Sep 1997 23:20:09 -0400

bind (1:8.1.1-3) unstable; urgency=low

  * Restored the /etc/init.d/bind.

 -- Johnie Ingram <johnie@debian.org>  Tue,  5 Aug 1997 14:58:49 +0000

bind (1:8.1.1-2) unstable; urgency=low

  * The dnsutils package now includes nslookup and dig (#4222, #4939,
    #9229, #10476, #10477, and the recommendation of Shaya Potter), now
    uses the correct name for the upstream changelog (#9614), and is
    created from the bind-src source (requiring a new epoch).
  * Closed Bug #10983, typo in init script, fixed by 8.1.1-1 and 4.9.6-1.
  * Made bindconfig a bash script rather than a shell script (#11396).
  * Location of /usr/lib/nslookup.help corrected in manpage (#9757).
  * Corrected spelling of the word "Stopping" in init script (#11515), and
    regularized capitalization.
  * The nslookup program (being now from the bind source) has a man
    page and no longer behaves oddly (#6708), plus the help page is
    installed (#10903).
  * Closed #10529, "bind is vulnerable", since both the new 4.9.6 and
    8.1.1 address this injection issue.
  * Added PGP-signed file checksums.

 -- Johnie Ingram <johnie@debian.org>  Wed, 30 Jul 1997 02:14:48 -0400

bind (4.9.6-1) stable; urgency=medium
  
    * Security release.
  
   -- Johnie Ingram <johnie@debian.org>  Sat, 19 Jul 1997 16:59:03 -0400
  

bind (8.1.1-1) unstable; urgency=low

  * New upstream version.
  * New maintainer.
  * Updated to Standards-Version 2.1.3.3.

 -- Johnie Ingram <johnie@debian.org>  Thu, 17 Jul 1997 13:49:30 -0400

bind (4.9.5-1.4) frozen unstable; urgency=low

  * Fix ndc script (Bug #9167,#9036) thanx to <phil@hands.com>'s patch.

 -- Vincent Renardias <vincent@waw.com>  Mon, 28 Apr 1997 20:29:51 +0200

bind (4.9.5-1.3) frozen unstable; urgency=low

  * Re-Upload into the 'frozen' distribution.

 -- Vincent Renardias <vincent@waw.com>  Mon, 21 Apr 1997 12:41:31 +0200 

bind (4.9.5-1.2) unstable; urgency=low

  * Fixed ungracefull message printed by flex scanner when ctrl-C is
    pressed in a nslookup session (Fixes Bug #3966).

 -- Vincent Renardias <vincent@waw.com>  Sat, 19 Apr 1997 22:22:04 +0200

bind (4.9.5-1.1) frozen unstable; urgency=low

  * Converted to new source format.
  * Put documentation into /usr/doc/bind instead of /usr/doc/net/bind.
  * Compress man pages (Bug #6289).
  * Corrected dnsquery manpage (Bug #6659).
  * Corrected postinst. (Bugs #7230, #7459, #7906, #8193, #8581, #8582, 
    #8608, #8825).
  * Applied fix to prevent denial of service attack (Bug #8868).
  * Corrected /etc/init.d/bind massages (Bug #8502).
  * Updated named.root file (should fix Bug #8654 and #8655).
  * Debianized '/usr/sbin/ndc' script (Bug #3505).
  * Tuned compile options.

 -- Vincent Renardias <vincent@waw.com>  Sat, 19 Apr 1997 15:33:45 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "johnie@debian.org"
End:
