=== debian/control ===
Source: bind
Section: net
Priority: extra
Maintainer: Johnie Ingram <johnie@debian.org>
Standards-Version: 2.4.0.0

Package: bind
Section: net
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, netbase
Suggests: bind-doc
Recommends: dnsutils
Replaces: netstd (<<2.00)
Description: An Internet domain name server
 The Berkeley Internet Name Domain (BIND) implements an
 Internet name server for Unix operating systems.  The BIND
 consists of a server (or `daemon') called `named' and a
 resolver library.  A name server is a network service that
 enables clients to name resources or objects and share this
 information with other objects in the network.  This in
 effect is a distributed data base system for objects in a
 computer network.  The BIND server runs in the background,
 servicing queries on a well known network port.

Package: dnsutils
Section: net
Priority: standard
Depends: ${shlibs:Depends}
Architecture: any
Conflicts: netstd (<<2.00)
Description: Utilities for querying the DNS
 This package includes the "nslookup", "dig", and "host" programs
 for querying information from the Domain Name System (DNS).  It
 also includes several short aliases (mx, ns, soa, zone, aaaa)
 for querying specific information.
