## bind 8.2.2p5

=== rblcheck-1.4/Makefile ===
# rblcheck Makefile.
#
# $Id: Makefile,v 1.7 1998/08/20 05:47:03 emarshal Exp $
#
# $Log: Makefile,v $
# Revision 1.7  1998/08/20 05:47:03  emarshal
# Some final cleanups. Bumped version to 1.4.
#
# Revision 1.6  1998/08/15 22:27:27  emarshal
# Fixed some formatting issues with combinations of -q and -t.
#
# Revision 1.5  1998/08/15 22:09:34  emarshal
# Many changes, most involving support for multiple RBL-alike services.
# Bumped revision to 1.3.
#
# Revision 1.4  1998/01/28 22:11:31  emarshal
# More portability stuff, and upgrade to version 1.2.
#
# Revision 1.3  1998/01/28 21:32:15  emarshal
# Fixes for compilation on ANSI-unfriendly systems (SunOS) and a Makefile
# change for HP/UX 10.x.
#
# Revision 1.2  1998/01/23 22:05:26  emarshal
# Some quick changes.
#
# Revision 1.1.1.1  1998/01/09 20:42:50  emarshal
# Initial import into CVS.
#

# Where do you want to install rblcheck?
PREFIX=/usr/local/bin

# Do you need the resolver library? If you get some errors about
# missing symbols, uncomment this. Linux/glibc and Solaris definitely
# need this. Alternatively, it might be called "libbind" on your
# system.
#LDLIBS=-lresolv
#LDLIBS=-lbind

# Generic GCC. This is probably your best bet on most systems, but see
# below for an entry for your system.
CC=gcc
CFLAGS=-O -Wall
LDFLAGS=-s

# Solaris w/Sun cc
#CC=cc
#CFLAGS=-O
#LDFLAGS=-s

# SunOS w/Sun cc
#CC=cc
#CFLAGS=-O
#LDFLAGS=-n -Bdynamic

# HP 10.x
#CC=cc
#CFLAGS=-O -Ae -D_XOPEN_SOURCE_EXTENDED
#LDFLAGS=-s

all: rblcheck

install:
	-[ -f ${PREFIX}/rblcheck ] && \
		mv ${PREFIX}/rblcheck ${PREFIX}/rblcheck.old
	-cp rblcheck ${PREFIX}

clean:
	-rm rblcheck
